[1.2.0] ver.1.20 won't start on Win 7 64bit (OS language: Japanese)

Report any technical issues or bugs you have experienced with Lost Labyrinth DX.
Post Reply
kui
Posts: 13
Joined: Sat Sep 29, 2018 3:11 pm

[1.2.0] ver.1.20 won't start on Win 7 64bit (OS language: Japanese)

Post by kui » Tue Oct 02, 2018 10:23 am

as title says, 1.20 won't run on my Win7 Ultimate 64bit japanese version.
it just shows error popup and stops on launch.
i have tried changing locale settings, but no luck.

on my Lubuntu (guest os on VMWare), it runs without problem in japanese locale setting.

after searching web for some time, i found a tool to check dependancy of exe file.
"Dependancy Walker"
http://www.dependencywalker.com/

i attached screenshot of result.
there seems these 6 dlls are missing.

API-MS-WIN-CORE-WINRT-ERROR-L1-1-0.DLL
API-MS-WIN-CORE-WINRT-L1-1-0.DLL
API-MS-WIN-CORE-WINRT-ROBUFFER-L1-1-0.DLL
API-MS-WIN-CORE-WINRT-STRING-L1-1-0.DLL
DCOMP.DLL
IESHIMS.DLL
Attachments
Laby_dx.exe_Dependancy_Check_result.png
Laby_dx.exe_Dependancy_Check_result.png (43 KiB) Viewed 318 times

zefz
Site Admin
Posts: 30
Joined: Fri Aug 24, 2018 2:27 pm
Location: Norway
Contact:

Re: ver.1.20 won't start on Win 7 64bit (OS language: Japanese)

Post by zefz » Tue Oct 02, 2018 9:11 pm

I just ran dependency walker on my PC here and get the same DLL's missing (and the game works fine for me). So I'm guessing the issue is probably not related to DLLs. Since the game manages to start and create an empty log file, perhaps we need to add some additional logging very early on startup for additional debugging.

kui
Posts: 13
Joined: Sat Sep 29, 2018 3:11 pm

Re: ver.1.20 won't start on Win 7 64bit (OS language: Japanese)

Post by kui » Fri Oct 05, 2018 5:21 pm

it seems Dependancy Walker isn't updated for long time and shows false info.
after last post, i kept checking some other info on web.

https://stackoverflow.com/questions/170 ... l-problems
according to this typical site, it seems to be related to Visual C++ runtime.
and in the posts, someone is saying about 2010's vc++ runtime packages (both of x86 and x64) causing confusion with newer packages, and sure, i did have both of them installed.
and several others saying about 2015's redistr package fix this problem.
in my case, only 2015's are missing.

installed vc++ runtimes.png
installed vc++ runtimes.png (39.93 KiB) Viewed 311 times

but i can't mess around these thing without more detailed info.

kui
Posts: 13
Joined: Sat Sep 29, 2018 3:11 pm

Re: ver.1.20 won't start on Win 7 64bit (OS language: Japanese)

Post by kui » Fri Oct 05, 2018 6:26 pm

tried to install both of x86 and x64 of vc++ 2015 but failed.
2017's are preventing this.

as i have experienced in the past, there were troubles in the process.
i had to repeating uninstalling 2015's and re-installing 2017's till recover the install state properly....

2017's is needed for windows update. i don't want to mess around this again. (sigh)
so basically i can't install 2015's anymore.
if this was the cause, i have no option for that.


*for those who don't know general order to install and uninstall x86 and x64 things manually (especially in case of MS's product or update related),
x86 first, then x64. if didn't keep this rule, something will be screwed up.

zefz
Site Admin
Posts: 30
Joined: Fri Aug 24, 2018 2:27 pm
Location: Norway
Contact:

Re: ver.1.20 won't start on Win 7 64bit (OS language: Japanese)

Post by zefz » Mon Oct 08, 2018 8:43 pm

Can you try again with version 1.3.0? In case it still won't start, check if the log.txt file says something useful (hopefully the new logging will help us somewhat).

Post Reply